Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596503 - kernel oops during DVD boot of Fedora 13
kernel oops during DVD boot of Fedora 13
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 16:20 EDT by Brian Likosar
Modified: 2013-01-10 00:58 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 03:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Likosar 2010-05-26 16:20:41 EDT
Description of problem:
When booting Fedora 13 from the ISO DVD image for x86_64, receive a kernel oops before the installer can continue.  This is in a KVM guest - the kernel oops I'm attaching was with virtio disk and NIC.  However, I've had the same problem with IDE and e1000 NIC as well inside KVM.

Version-Release number of selected component (if applicable):
2.6.33.3-85.fc13.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.  Create KVM guest with 2 vcpus, 1GB RAM, virtio disk (5GB) and virtio NIC.
2.  Boot from ISO (after validating checksum)

  
Actual results:
Kernel oops

Expected results:
Kernel continues booting into installer

Additional info:
Initializing cgroup subsys cpuset
Initializing cgroup subsys cpu
Linux version 2.6.33.3-85.fc13.x86_64 (mockbuild@x86-02.phx2.fedoraproject.org) (gcc version 4.4.4 20100503 (Red Hat 4.4.4-2) (GCC) ) #1 SMP Thu May 6 18:09:49 UTC 2010
Command line: initrd=initrd.img stage2=hd:LABEL="Fedora" text console=ttyS0,115200 BOOT_IMAGE=vmlinuz 
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e8000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003fff0000 (usable)
 BIOS-e820: 000000003fff0000 - 0000000040000000 (ACPI data)
 BIOS-e820: 00000000c0000000 - 00000000c1000000 (reserved)
 BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
NX (Execute Disable) protection: active
DMI 2.4 present.
No AGP bridge found
last_pfn = 0x3fff0 max_arch_pfn = 0x400000000
x86 PAT enabled: cpu 0, old 0x0, new 0x7010600070106
found SMP MP-table at [ffff8800000fbd80] fbd80
init_memory_mapping: 0000000000000000-000000003fff0000
RAMDISK: 3e34f000 - 3ffce504
ACPI: RSDP 00000000000fbf00 00014 (v00 QEMU  )
ACPI: RSDT 000000003fff0000 0002C (v01 QEMU   QEMURSDT 00000001 QEMU 00000001)
ACPI: FACP 000000003fff002c 00074 (v01 QEMU   QEMUFACP 00000001 QEMU 00000001)
ACPI: DSDT 000000003fff0100 02531 (v01   BXPC   BXDSDT 00000001 INTL 20090123)
ACPI: FACS 000000003fff00c0 00040
ACPI: APIC 000000003fff2638 000E0 (v01 QEMU   QEMUAPIC 00000001 QEMU 00000001)
No NUMA configuration found
Faking a node at 0000000000000000-000000003fff0000
Bootmem setup node 0 0000000000000000-000000003fff0000
  NODE_DATA [0000000000009000 - 000000000001efff]
  bootmap [000000000001f000 -  0000000000026fff] pages 8
(12 early reservations) ==> bootmem [0000000000 - 003fff0000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0001000000 - 0001db92c8]    TEXT DATA BSS ==> [0001000000 - 0001db92c8]
  #2 [003e34f000 - 003ffce504]          RAMDISK ==> [003e34f000 - 003ffce504]
  #3 [0001dba000 - 0001dba06d]              BRK ==> [0001dba000 - 0001dba06d]
  #4 [00000fbd90 - 0000100000]    BIOS reserved ==> [00000fbd90 - 0000100000]
  #5 [00000fbd80 - 00000fbd90]     MP-table mpf ==> [00000fbd80 - 00000fbd90]
  #6 [000009fc00 - 00000fbb80]    BIOS reserved ==> [000009fc00 - 00000fbb80]
  #7 [00000fbd7c - 00000fbd80]    BIOS reserved ==> [00000fbd7c - 00000fbd80]
  #8 [00000fbb80 - 00000fbd7c]     MP-table mpc ==> [00000fbb80 - 00000fbd7c]
  #9 [0000001000 - 0000003000]       TRAMPOLINE ==> [0000001000 - 0000003000]
  #10 [0000003000 - 0000007000]      ACPI WAKEUP ==> [0000003000 - 0000007000]
  #11 [0000008000 - 0000009000]          PGTABLE ==> [0000008000 - 0000009000]
Zone PFN ranges:
  DMA      0x00000000 -> 0x00001000
  DMA32    0x00001000 -> 0x00100000
  Normal   0x00100000 -> 0x00100000
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0: 0x00000000 -> 0x0000009f
    0: 0x00000100 -> 0x0003fff0
ACPI: PM-Timer IO Port: 0xb008
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] disabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] disabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x04] disabled)
ACPI: LAPIC (acpi_id[0x05] lapic_id[0x05] disabled)
ACPI: LAPIC (acpi_id[0x06] lapic_id[0x06] disabled)
ACPI: LAPIC (acpi_id[0x07] lapic_id[0x07] disabled)
ACPI: LAPIC (acpi_id[0x08] lapic_id[0x08] disabled)
ACPI: LAPIC (acpi_id[0x09] lapic_id[0x09] disabled)
ACPI: LAPIC (acpi_id[0x0a] lapic_id[0x0a] disabled)
ACPI: LAPIC (acpi_id[0x0b] lapic_id[0x0b] disabled)
ACPI: LAPIC (acpi_id[0x0c] lapic_id[0x0c] disabled)
ACPI: LAPIC (acpi_id[0x0d] lapic_id[0x0d] disabled)
ACPI: LAPIC (acpi_id[0x0e] lapic_id[0x0e] disabled)
ACPI: LAPIC (acpi_id[0x0f] lapic_id[0x0f] disabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
Using ACPI (MADT) for SMP configuration information
SMP: Allowing 16 CPUs, 14 hotplug CPUs
PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
PM: Registered nosave memory: 00000000000a0000 - 00000000000e8000
PM: Registered nosave memory: 00000000000e8000 - 0000000000100000
Allocating PCI resources starting at 40000000 (gap: 40000000:80000000)
Booting paravirtualized kernel on KVM
setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:16 nr_node_ids:1
PERCPU: Embedded 30 pages/cpu @ffff880001e00000 s90520 r8192 d24168 u131072
pcpu-alloc: s90520 r8192 d24168 u131072 alloc=1*2097152
pcpu-alloc: [0] 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 
Built 1 zonelists in Node order, mobility grouping on.  Total pages: 258344
Policy zone: DMA32
Kernel command line: initrd=initrd.img stage2=hd:LABEL="Fedora" text console=ttyS0,115200 BOOT_IMAGE=vmlinuz 
PID hash table entries: 4096 (order: 3, 32768 bytes)
Checking aperture...
No AGP bridge found
Memory: 988244k/1048512k available (4295k kernel code, 388k absent, 59880k reserved, 7535k data, 756k init)
SLUB: Genslabs=14, HWalign=64, Order=0-3, MinObjects=0, CPUs=16, Nodes=1
Hierarchical RCU implementation.
NR_IRQS:4352 nr_irqs:536
Console: colour VGA+ 80x25
console [ttyS0] enabled
allocated 10485760 bytes of page_cgroup
please try 'cgroup_disable=memory' option if you don't want memory cgroups
Fast TSC calibration failed
TSC: PIT calibration matches PMTIMER. 1 loops
Detected 2600.462 MHz processor.
Calibrating delay loop (skipped), value calculated using timer frequency.. 5200.92 BogoMIPS (lpj=2600462)
Security Framework initialized
SELinux:  Initializing.
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
Mount-cache hash table entries: 256
Initializing cgroup subsys debug
Initializing cgroup subsys ns
Initializing cgroup subsys cpuacct
Initializing cgroup subsys memory
Initializing cgroup subsys devices
Initializing cgroup subsys freezer
Initializing cgroup subsys net_cls
Initializing cgroup subsys blkio
mce: CPU supports 0 MCE banks
Performance Events: AMD PMU driver.
... version:                0
... bit width:              48
... generic registers:      4
... value mask:             0000ffffffffffff
... max period:             00007fffffffffff
... fixed-purpose events:   0
... event mask:             000000000000000f
ACPI: Core revision 20091214
Setting APIC routing to physical flat
..TIMER: vector=0x30 apic1=0 pin1=0 apic2=-1 pin2=-1
CPU0: AMD QEMU Virtual CPU version 0.9.1 stepping 03
Booting Node   0, Processors  #1
mce: CPU supports 0 MCE banks
Brought up 2 CPUs
Total of 2 processors activated (10400.68 BogoMIPS).
x86 PAT enabled: cpu 1, old 0x0, new 0x7010600070106
devtmpfs: initialized
regulator: core version 0.5
Time: 19:41:52  Date: 05/26/10
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using configuration type 1 for base access
bio: create slab <bio-0> at 0
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: No dock devices found.
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci_root PNP0A03:00: ignoring host bridge windows from ACPI; boot with "pci=use_crs" to use them
pci 0000:00:01.3: quirk: [io  0xb000-0xb03f] claimed by PIIX4 ACPI
pci 0000:00:01.3: quirk: [io  0xb100-0xb10f] claimed by PIIX4 SMB
ACPI: PCI Interrupt Link [LNKA] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKB] (IRQs 5 *10 11)
ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10 *11)
ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
vgaarb: loaded
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 6 devices
ACPI: ACPI bus type pnp unregistered
Switching to clocksource acpi_pm
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 6, 262144 bytes)
TCP established hash table entries: 131072 (order: 9, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
UDP hash table entries: 512 (order: 2, 16384 bytes)
UDP-Lite hash table entries: 512 (order: 2, 16384 bytes)
NET: Registered protocol family 1
pci 0000:00:00.0: Limiting direct PCI/PCI transfers
pci 0000:00:01.0: PIIX3: Enabling Passive Release
pci 0000:00:01.0: Activating ISA DMA hang workarounds
Trying to unpack rootfs image as initramfs...
Freeing initrd memory: 29181k freed
Intel PCLMULQDQ-NI instructions are not detected.
audit: initializing netlink socket (disabled)
type=2000 audit(1274902912.973:1): initialized
HugeTLB registered 2 MB page size, pre-allocated 0 pages
VFS: Disk quotas dquot_6.5.2
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
msgmni has been set to 1987
alg: No test for stdrng (krng)
Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
io scheduler noop registered
io scheduler deadline registered
io scheduler cfq registered (default)
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
hrtimer: interrupt took 4211453 ns
pciehp: PCI Express Hot Plug Controller Driver version: 0.4
acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
acpiphp: Slot [1] registered
acpiphp: Slot [2] registered
acpiphp: Slot [3] registered
acpiphp: Slot [4] registered
acpiphp: Slot [5] registered
acpiphp: Slot [6] registered
acpiphp: Slot [7] registered
acpiphp: Slot [8] registered
acpiphp: Slot [9] registered
acpiphp: Slot [10] registered
acpiphp: Slot [11] registered
acpiphp: Slot [12] registered
acpiphp: Slot [13] registered
acpiphp: Slot [14] registered
acpiphp: Slot [15] registered
acpiphp: Slot [16] registered
acpiphp: Slot [17] registered
acpiphp: Slot [18] registered
acpiphp: Slot [19] registered
acpiphp: Slot [20] registered
acpiphp: Slot [21] registered
acpiphp: Slot [22] registered
acpiphp: Slot [23] registered
acpiphp: Slot [24] registered
acpiphp: Slot [25] registered
acpiphp: Slot [26] registered
acpiphp: Slot [27] registered
acpiphp: Slot [28] registered
acpiphp: Slot [29] registered
acpiphp: Slot [30] registered
acpiphp: Slot [31] registered
pci-stub: invalid id string ""
input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
ACPI: Power Button [PWRF]
Non-volatile memory driver v1.3
Linux agpgart interface v0.103
Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
Clocksource tsc unstable (delta = 193772589 ns)
�serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:05: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
brd: module loaded
loop: module loaded
input: Macintosh mouse button emulation as /devices/virtual/input/input1
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
Fixed MDIO Bus: probed
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
uhci_hcd: USB Universal Host Controller Interface driver
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
uhci_hcd 0000:00:01.2: PCI INT D -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
uhci_hcd 0000:00:01.2: UHCI Host Controller
uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:01.2: irq 11, io base 0x0000c020
usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb usb1: Product: UHCI Host Controller
usb usb1: Manufacturer: Linux 2.6.33.3-85.fc13.x86_64 uhci_hcd
usb usb1: SerialNumber: 0000:00:01.2
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2
rtc0: alarms up to one day, 114 bytes nvram
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.17.0-ioctl (2010-03-05) initialised: dm-devel@redhat.com
cpuidle: using governor ladder
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
usbhid: USB HID core driver
nf_conntrack version 0.5.0 (7948 buckets, 31792 max)
CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 17
registered taskstats version 1
No TPM chip found, activating TPM-bypass!
  Magic number: 10:97:699
rtc_cmos 00:01: setting system clock to 2010-05-26 19:41:54 UTC (1274902914)
Initalizing network drop monitor service
ata2.00: ATAPI: QEMU DVD-ROM, 0.9.1, max UDMA/100
ata2.00: configured for MWDMA2
scsi 1:0:0:0: CD-ROM            QEMU     QEMU DVD-ROM     0.9. PQ: 0 ANSI: 5
sr0: scsi3-mmc drive: 4x/4x xa/form2 tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi generic sg0 type 5
Freeing unused kernel memory: 756k freed
Write protecting the kernel read-only data: 10240k
Freeing unused kernel memory: 1828k freed
Freeing unused kernel memory: 1960k freed
BUG: unable to handle kernel paging request at ffffffff81027f59
IP: [<ffffffff81027f59>] kvm_leave_lazy_mmu+0x5b/0x8b
PGD 1a3d067 PUD 1a41063 PMD 10001e1 
Oops: 0003 [#1] SMP 
last sysfs file: 
CPU 0 
Pid: 1, comm: init Not tainted 2.6.33.3-85.fc13.x86_64 #1 /KVM
RIP: 0010:[<ffffffff81027f59>]  [<ffffffff81027f59>] kvm_leave_lazy_mmu+0x5b/0x8b
RSP: 0018:ffff88003ce23a20  EFLAGS: 00010293
RAX: 0000000000000002 RBX: 0000000000000018 RCX: 0000000001e0e590
RDX: 0000000000000000 RSI: ffff88003ce23a38 RDI: ffff880001e0e590
RBP: ffff88003ce23a60 R08: 0000000000000100 R09: ffff8800383402e0
R10: 00000000000004e2 R11: 00000000000379cc R12: ffff880001e0e590
R13: 0000000000000018 R14: ffff880001e0e590 R15: 0000000000000002
FS:  0000000000000000(0000) GS:ffff880001e00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffffffff81027f59 CR3: 000000003c4a0000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process init (pid: 1, threadinfo ffff88003ce22000, task ffff88003ce28000)
Stack:
 ffff880000000001 0000000000000000 8000000001437067 00007fffffffe000
<0> ffff88003833a000 00007fff2ae7c000 0000000000000000 8000000001437067
<0> ffff88003ce23b40 ffffffff810e0646 0000000000000001 0000000000000000
Call Trace:
 [<ffffffff810e0646>] move_page_tables+0x3be/0x50e
 [<ffffffff81107546>] setup_arg_pages+0x18f/0x2ec
 [<ffffffff8113b681>] load_elf_binary+0x462/0x15b1
 [<ffffffff81138de3>] ? load_misc_binary+0x6e/0x362
 [<ffffffff811065ab>] search_binary_handler+0xbb/0x26e
 [<ffffffff8113b21f>] ? load_elf_binary+0x0/0x15b1
 [<ffffffff81107c07>] do_execve+0x1c9/0x2ca
 [<ffffffff81010bd5>] sys_execve+0x3e/0x55
 [<ffffffff8100a998>] kernel_execve+0x68/0xd0
 [<ffffffff81002178>] ? run_init_process+0x1e/0x20
 [<ffffffff8100220d>] init_post+0x93/0x10e
 [<ffffffff81ba67ad>] kernel_init+0x25b/0x26a
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff81ba6552>] ? kernel_init+0x0/0x26a
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Code: 00 00 45 85 ed 74 40 4d 89 e6 41 bf 02 00 00 00 31 d2 4c 89 f7 48 89 55 c8 44 89 eb e8 2d 9d 00 00 48 8b 55 c8 48 89 c1 44 89 f8 <0f> 01 c1 48 89 c3 48 98 49 01 c6 41 29 dd 75 d7 41 c7 84 24 00 
RIP  [<ffffffff81027f59>] kvm_leave_lazy_mmu+0x5b/0x8b
 RSP <ffff88003ce23a20>
CR2: ffffffff81027f59
---[ end trace 34a651f37c1c906b ]---
usb 1-2: new full speed USB device using uhci_hcd and address 2
input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input3
usb 1-2: New USB device found, idVendor=0627, idProduct=0001
usb 1-2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
usb 1-2: Product: QEMU USB Tablet
usb 1-2: Manufacturer: QEMU 0.9.1
usb 1-2: SerialNumber: 1
BUG: unable to handle kernel paging request at ffffc900004ff000
IP: [<ffffffff813662d6>] hid_parse_report+0x80/0x28d
PGD 3dd51067 PUD 3dd52067 PMD 3bc3e067 PTE 0
Oops: 0002 [#2] SMP 
last sysfs file: 
CPU 0 
Pid: 29, comm: khubd Tainted: G      D    2.6.33.3-85.fc13.x86_64 #1 /KVM
RIP: 0010:[<ffffffff813662d6>]  [<ffffffff813662d6>] hid_parse_report+0x80/0x28d
RSP: 0018:ffff88003cf4b620  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffffc900004ff000 RCX: 000000000000603e
RDX: 0000000000000000 RSI: ffff88003cf4b468 RDI: ffffc900004ff000
RBP: ffff88003cf4b660 R08: ffffffff813662c0 R09: 00000000000000d2
R10: 00000000000004e2 R11: 0000000000037999 R12: ffff88003cf13d20
R13: ffff880038358000 R14: ffff88003cf13d6a R15: 00000000fffffff4
FS:  0000000000000000(0000) GS:ffff880001e00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffffc900004ff000 CR3: 000000003c4a0000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process khubd (pid: 29, threadinfo ffff88003cf4a000, task ffff88003cf45d40)
Stack:
 000000603c4ab5a0 0000004a00000246 ffff88003cf4b660 0000000000000003
<0> ffff880038358000 000000000000004a ffff880038350000 ffff88003cf13d20
<0> ffff88003cf4b6f0 ffffffff81371c75 ffff88003cf13d20 ffff88000000004a
Call Trace:
 [<ffffffff81371c75>] usbhid_parse+0x279/0x2d1
 [<ffffffff81365c8a>] hid_device_probe+0x7a/0xcf
 [<ffffffff812ae5de>] ? driver_sysfs_add+0x47/0x6c
 [<ffffffff812ae7a3>] driver_probe_device+0xe5/0x212
 [<ffffffff812ae981>] __device_attach+0x35/0x3a
 [<ffffffff812ae94c>] ? __device_attach+0x0/0x3a
 [<ffffffff812ad962>] bus_for_each_drv+0x51/0x88
 [<ffffffff812aea14>] device_attach+0x64/0x88
 [<ffffffff812ad798>] bus_probe_device+0x1f/0x36
 [<ffffffff812abfb1>] device_add+0x3ba/0x58d
 [<ffffffff81365878>] hid_add_device+0x164/0x192
 [<ffffffff81371fca>] usbhid_probe+0x2fd/0x34f
 [<ffffffff8130ae2c>] usb_probe_interface+0x14a/0x202
 [<ffffffff812ae7a3>] driver_probe_device+0xe5/0x212
 [<ffffffff812ae981>] __device_attach+0x35/0x3a
 [<ffffffff812ae94c>] ? __device_attach+0x0/0x3a
 [<ffffffff812ad962>] bus_for_each_drv+0x51/0x88
 [<ffffffff812aea14>] device_attach+0x64/0x88
 [<ffffffff812ad798>] bus_probe_device+0x1f/0x36
 [<ffffffff812abfb1>] device_add+0x3ba/0x58d
 [<ffffffff813099a7>] usb_set_configuration+0x591/0x64d
 [<ffffffff81154f67>] ? __sysfs_add_one+0x2f/0x91
 [<ffffffff811555ee>] ? sysfs_addrm_finish+0x2f/0xae
 [<ffffffff8131212d>] generic_probe+0x68/0xb3
 [<ffffffff8130a05b>] usb_probe_device+0x54/0x83
 [<ffffffff812ae7a3>] driver_probe_device+0xe5/0x212
 [<ffffffff812ae981>] __device_attach+0x35/0x3a
 [<ffffffff812ae94c>] ? __device_attach+0x0/0x3a
 [<ffffffff812ad962>] bus_for_each_drv+0x51/0x88
 [<ffffffff812aea14>] device_attach+0x64/0x88
 [<ffffffff812ad798>] bus_probe_device+0x1f/0x36
 [<ffffffff812abfb1>] device_add+0x3ba/0x58d
 [<ffffffff81300d68>] usb_new_device+0x155/0x208
 [<ffffffff81303683>] hub_thread+0xc20/0x1460
 [<ffffffff8103b7c1>] ? dequeue_entity+0x44/0x17e
 [<ffffffff81064817>] ? autoremove_wake_function+0x0/0x34
 [<ffffffff81302a63>] ? hub_thread+0x0/0x1460
 [<ffffffff810643c7>] kthread+0x7a/0x82
 [<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
 [<ffffffff8106434d>] ? kthread+0x0/0x82
 [<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10
Code: 89 e6 f3 a4 41 89 5d 08 bf f8 80 01 00 49 89 f6 e8 03 e5 d7 ff 48 85 c0 48 89 c3 0f 84 fd 01 00 00 b9 3e 60 00 00 31 c0 48 89 df <f3> ab 4c 89 ab f0 80 01 00 4c 8d 6d c0 e9 de 00 00 00 83 7d c0 
RIP  [<ffffffff813662d6>] hid_parse_report+0x80/0x28d
 RSP <ffff88003cf4b620>
CR2: ffffc900004ff000
---[ end trace 34a651f37c1c906c ]---
Comment 1 Bill Nottingham 2010-05-26 16:29:44 EDT
Did you mediacheck your DVD?
Comment 2 Brian Likosar 2010-05-26 17:15:47 EDT
Yes, my DVD ISO passes mediacheck:
[blikosar@virthost Fedora-13-x86_64-DVD]$ sha256sum Fedora-13-x86_64-DVD.iso 
dab657e1475832129ea3af67fd1c25c91b60ff1acc9147fb9b62cef14193f8d2  Fedora-13-x86_64-DVD.iso
[blikosar@virthost Fedora-13-x86_64-DVD]$ grep Fedora-13-x86_64-DVD.iso Fedora-13-x86_64-CHECKSUM 
dab657e1475832129ea3af67fd1c25c91b60ff1acc9147fb9b62cef14193f8d2 *Fedora-13-x86_64-DVD.iso
Comment 3 Bill Nottingham 2010-05-26 17:16:59 EDT
That's not mediacheck; try isomd5sum /dev/<cdrom device>.
Comment 4 Bill Nottingham 2010-05-26 17:17:35 EDT
Oops, that's 'checkisomd5', not 'isomd5sum'.
Comment 5 Bill Nottingham 2010-05-26 17:20:07 EDT
Sorry, missed the bit about this being a KVM guest. mediacheck is not relevant here.
Comment 6 Brian Likosar 2010-05-26 17:28:14 EDT
Output of /proc/cpuinfo on the host, in case it's relevant:
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 107
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5000+
stepping        : 1
cpu MHz         : 2600.562
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 0
cpu cores       : 2
apicid          : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy misalignsse
bogomips        : 5201.12
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 107
model name      : AMD Athlon(tm) 64 X2 Dual Core Processor 5000+
stepping        : 1
cpu MHz         : 2600.562
cache size      : 512 KB
physical id     : 0
siblings        : 2
core id         : 1
cpu cores       : 2
apicid          : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy misalignsse
bogomips        : 5200.60
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc 100mhzsteps
Comment 7 Brian Likosar 2010-08-05 22:57:57 EDT
This appears to be related to a kernel bug:  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/531823
Comment 8 Chuck Ebbert 2010-08-06 03:29:52 EDT
This is not a bug in the guest, it's a bug in the host kernel, and should be fixed in all recent Fedora kernels.

Note You need to log in before you can comment on or make changes to this bug.